Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class BindingEntry

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.SymTabEntry
          org.apache.axis.wsdl.symbolTable.BindingEntry

public class BindingEntry
extends SymTabEntry

This class represents a WSDL binding. It encompasses the WSDL4J Binding object so it can reside in the SymbolTable. It also adds a few bits of information that are a nuisance to get from the WSDL4J Binding object: binding type, binding style, input/output/fault body types.

Nested Class Summary
`protected static class` | `BindingEntry.OperationAttr` Contains attributes for Operations - Body type: encoded or literal

Field Summary
`static int` | `IN_HEADER` Field IN_HEADER
`static int` | `NO_HEADER` Get the flag indicating what sort of header this part is.
`static int` | `OUT_HEADER` Field OUT_HEADER
`static int` | `TYPE_HTTP_GET` Field TYPE_HTTP_GET
`static int` | `TYPE_HTTP_POST` Field TYPE_HTTP_POST
`static int` | `TYPE_SOAP` Field TYPE_SOAP
`static int` | `TYPE_UNKNOWN` Field TYPE_UNKNOWN
`static int` | `USE_ENCODED` Field USE_ENCODED
`static int` | `USE_LITERAL` Field USE_LITERAL

Fields inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`name, qname`

Constructor Summary
`BindingEntry(javax.wsdl.Binding binding)` This is a minimal constructor.
`BindingEntry(javax.wsdl.Binding binding, int bindingType, Style bindingStyle, boolean hasLiteral, java.util.HashMap attributes, java.util.Map mimeTypes, java.util.Map headerParts)` Construct a BindingEntry from a WSDL4J Binding object and the additional binding info: binding type, binding style, whether there is any literal binding, and the attributes which contain the input/output/fault body type information.

Method Summary
`javax.wsdl.Binding` | `getBinding()` Get this entry's WSDL4J Binding object.
`Style` | `getBindingStyle()` Get this entry's binding style.
`int` | `getBindingType()` Get this entry's binding type.
`Use` | `getFaultBodyType(javax.wsdl.Operation operation, java.lang.String faultName)` Get the fault body type for the given fault of the given operation.
`java.util.HashMap` | `getFaults()` Return the map of BindingOperations to ArraList of FaultBodyType
`java.util.Map` | `getHeaderParts()` Get the header parameter map.
`Use` | `getInputBodyType(javax.wsdl.Operation operation)` Get the input body type for the given operation.
`MimeInfo` | `getMIMEInfo(java.lang.String operationName, java.lang.String parameterName)` Get the mime mapping for the given parameter name.
`java.util.Map` | `getMIMETypes()` Get the MIME types map.
`java.util.Set` | `getOperations()` Get a `Set` of comprised `Operation` objects.
`Use` | `getOutputBodyType(javax.wsdl.Operation operation)` Get the output body type for the given operation.
`java.util.HashMap` | `getParameters()` Get all of the parameters for all operations.
`Parameters` | `getParameters(javax.wsdl.Operation operation)` Get the Parameters object for the given operation.
`boolean` | `hasLiteral()` Do any of the message stanzas contain a soap:body which uses literal?
`boolean` | `isInHeaderPart(java.lang.String operationName, java.lang.String partName)` Is this part an input header part?.
`boolean` | `isOperationDIME(java.lang.String operationName)` Check if this operation should use DIME
`boolean` | `isOutHeaderPart(java.lang.String operationName, java.lang.String partName)` Is this part an output header part?.
`protected void` | `setBindingStyle(Style bindingStyle)` Set this entry's binding style.
`protected void` | `setBindingType(int bindingType)` Set this entry's binding type.
`protected void` | `setBodyType(javax.wsdl.Operation operation, Use bodyType, boolean input)` Set the body type for the given operation.
`protected void` | `setFaultBodyTypeMap(javax.wsdl.Operation operation, java.util.HashMap faultBodyTypeMap)` Set the fault body type map for the given operation.
`void` | `setFaults(java.util.HashMap faults)` Method setFaults
`protected void` | `setHasLiteral(boolean hasLiteral)` Set the literal flag.
`void` | `setHeaderPart(java.lang.String operationName, java.lang.String partName, int headerFlags)` Set the header part mapping for the given part name.
`protected void` | `setInputBodyType(javax.wsdl.Operation operation, Use inputBodyType)` Set the input body type for the given operation.
`void` | `setMIMEInfo(java.lang.String operationName, java.lang.String parameterName, java.lang.String type, java.lang.String dims)` Set the mime mapping for the given parameter name.
`void` | `setOperationDIME(java.lang.String operationName)` Mark the operation as a DIME operation
`protected void` | `setOutputBodyType(javax.wsdl.Operation operation, Use outputBodyType)` Set the output body type for the given operation.
`void` | `setParameters(java.util.HashMap parameters)` Set the parameters for all operations

Methods inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`getDynamicVar, getName, getQName, isReferenced, setDynamicVar, setIsReferenced, setName, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_SOAP

    public static final int TYPE_SOAP

  Field TYPE_SOAP

  See Also:
    Constant Field Values

### TYPE_HTTP_GET

    public static final int TYPE_HTTP_GET

  Field TYPE_HTTP_GET

  See Also:
    Constant Field Values

### TYPE_HTTP_POST

    public static final int TYPE_HTTP_POST

  Field TYPE_HTTP_POST

  See Also:
    Constant Field Values

### TYPE_UNKNOWN

    public static final int TYPE_UNKNOWN

  Field TYPE_UNKNOWN

  See Also:
    Constant Field Values

### USE_ENCODED

    public static final int USE_ENCODED

  Field USE_ENCODED

  See Also:
    Constant Field Values

### USE_LITERAL

    public static final int USE_LITERAL

  Field USE_LITERAL

  See Also:
    Constant Field Values

### NO_HEADER

    public static final int NO_HEADER

  Get the flag indicating what sort of header this part is.

  See Also:
    Constant Field Values

### IN_HEADER

    public static final int IN_HEADER

  Field IN_HEADER

  See Also:
    Constant Field Values

### OUT_HEADER

    public static final int OUT_HEADER

  Field OUT_HEADER

  See Also:
    Constant Field Values

Constructor Detail

### BindingEntry

    public BindingEntry(javax.wsdl.Binding binding,
                        int bindingType,
                        Style bindingStyle,
                        boolean hasLiteral,
                        java.util.HashMap attributes,
                        java.util.Map mimeTypes,
                        java.util.Map headerParts)

  Construct a BindingEntry from a WSDL4J Binding object and the additional binding info: binding type, binding style, whether there is any literal binding, and the attributes which contain the input/output/fault body type information.

Parameters:
  `binding` -
  `bindingType` -
  `bindingStyle` -
  `hasLiteral` -
  `attributes` -
  `mimeTypes` -
  `headerParts` -

### BindingEntry

    public BindingEntry(javax.wsdl.Binding binding)

  This is a minimal constructor. Everything will be set up with defaults. If the defaults aren't desired, then the appropriate setter method should be called. The defaults are: bindingType = TYPE_UNKNOWN bindingStyle = DOCUMENT hasLiteral = false operation inputBodyTypes = USE_ENCODED operation outputBodyTypes = USE_ENCODED operation faultBodyTypes = USE_ENCODED mimeTypes = null

  The caller of this constructor should also call the various setter methods to fully fill out this object: setBindingType, setBindingStyle, setHasLiteral, setAttribute, setMIMEType.

Parameters:
  `binding` -

Method Detail

### getParameters

    public Parameters getParameters(javax.wsdl.Operation operation)

  Get the Parameters object for the given operation.

  Parameters:
    `operation` -
  Returns:

### getParameters

    public java.util.HashMap getParameters()

  Get all of the parameters for all operations.

  Returns:

### setParameters

    public void setParameters(java.util.HashMap parameters)

  Set the parameters for all operations

  Parameters:
    `parameters` -

### getMIMEInfo

    public MimeInfo getMIMEInfo(java.lang.String operationName,
                                java.lang.String parameterName)

  Get the mime mapping for the given parameter name. If there is none, this returns null.

  Parameters:
    `operationName` -
    `parameterName` -
  Returns:

### getMIMETypes

    public java.util.Map getMIMETypes()

  Get the MIME types map.

  Returns:

### setMIMEInfo

    public void setMIMEInfo(java.lang.String operationName,
                            java.lang.String parameterName,
                            java.lang.String type,
                            java.lang.String dims)

  Set the mime mapping for the given parameter name.

  Parameters:
    `operationName` -
    `parameterName` -
    `type` -
    `dims` -

### setOperationDIME

    public void setOperationDIME(java.lang.String operationName)

  Mark the operation as a DIME operation

  Parameters:
    `operationName` -

### isOperationDIME

    public boolean isOperationDIME(java.lang.String operationName)

  Check if this operation should use DIME

  Parameters:
    `operationName` -
  Returns:

### isInHeaderPart

    public boolean isInHeaderPart(java.lang.String operationName,
                                  java.lang.String partName)

  Is this part an input header part?.

  Parameters:
    `operationName` -
    `partName` -
  Returns:

### isOutHeaderPart

    public boolean isOutHeaderPart(java.lang.String operationName,
                                   java.lang.String partName)

  Is this part an output header part?.

  Parameters:
    `operationName` -
    `partName` -
  Returns:

### getHeaderParts

    public java.util.Map getHeaderParts()

  Get the header parameter map.

  Returns:

### setHeaderPart

    public void setHeaderPart(java.lang.String operationName,
                              java.lang.String partName,
                              int headerFlags)

  Set the header part mapping for the given part name.

  Parameters:
    `operationName` -
    `partName` -
    `headerFlags` -

### getBinding

    public javax.wsdl.Binding getBinding()

  Get this entry's WSDL4J Binding object.

  Returns:

### getBindingType

    public int getBindingType()

  Get this entry's binding type. One of BindingEntry.TYPE_SOAP, BindingEntry.TYPE_HTTP_GET, BindingEntry.TYPE_HTTP_POST.

  Returns:

### setBindingType

    protected void setBindingType(int bindingType)

  Set this entry's binding type.

  Parameters:
    `bindingType` -

### getBindingStyle

    public Style getBindingStyle()

  Get this entry's binding style.

  Returns:

### setBindingStyle

    protected void setBindingStyle(Style bindingStyle)

  Set this entry's binding style.

  Parameters:
    `bindingStyle` -

### hasLiteral

    public boolean hasLiteral()

  Do any of the message stanzas contain a soap:body which uses literal?

  Returns:

### setHasLiteral

    protected void setHasLiteral(boolean hasLiteral)

  Set the literal flag.

  Parameters:
    `hasLiteral` -

### getInputBodyType

    public Use getInputBodyType(javax.wsdl.Operation operation)

  Get the input body type for the given operation.

  Parameters:
    `operation` -
  Returns:

### setInputBodyType

    protected void setInputBodyType(javax.wsdl.Operation operation,
                                    Use inputBodyType)

  Set the input body type for the given operation.

  Parameters:
    `operation` -
    `inputBodyType` -

### getOutputBodyType

    public Use getOutputBodyType(javax.wsdl.Operation operation)

  Get the output body type for the given operation.

  Parameters:
    `operation` -
  Returns:

### setOutputBodyType

    protected void setOutputBodyType(javax.wsdl.Operation operation,
                                     Use outputBodyType)

  Set the output body type for the given operation.

  Parameters:
    `operation` -
    `outputBodyType` -

### setBodyType

    protected void setBodyType(javax.wsdl.Operation operation,
                               Use bodyType,
                               boolean input)

  Set the body type for the given operation. If input is true, then this is the inputBodyType, otherwise it's the outputBodyType. (NOTE: this method exists to enable reusing some SymbolTable code.

  Parameters:
    `operation` -
    `bodyType` -
    `input` -

### getFaultBodyType

    public Use getFaultBodyType(javax.wsdl.Operation operation,
                                java.lang.String faultName)

  Get the fault body type for the given fault of the given operation.

  Parameters:
    `operation` -
    `faultName` -
  Returns:
    Use.ENCODED or Use.LITERAL

### getFaults

    public java.util.HashMap getFaults()

  Return the map of BindingOperations to ArraList of FaultBodyType

  Returns:

### setFaults

    public void setFaults(java.util.HashMap faults)

  Method setFaults

  Parameters:
    `faults` -

### getOperations

    public java.util.Set getOperations()

  Get a `Set` of comprised `Operation` objects.

  Returns:

### setFaultBodyTypeMap

    protected void setFaultBodyTypeMap(javax.wsdl.Operation operation,
                                       java.util.HashMap faultBodyTypeMap)

  Set the fault body type map for the given operation.

  Parameters:
    `operation` -
    `faultBodyTypeMap` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.